%define srcname  PyProtocols
%define eggver   1.0
%define alphatag a0dev
%define revision r2302
%define filever  %{eggver}%{alphatag}-%{revision}

Name:           python-protocols
Version:        1.0
Release:        0.31.%{alphatag}_%{revision}%{?dist}

Summary:        Open Protocols and Component Adaptation for Python

License:        Python or ZPLv2.1
URL:            http://peak.telecommunity.com/PyProtocols.html
Source0: http://peak.telecommunity.com/snapshots/%{srcname}-%{filever}.tar.gz

BuildRequires:  gcc
BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: python2-decoratortools

%global _description\
PyProtocols is an implementation of PEP 246 allowing Python programmers to\
define Interfaces and adapters between them, thereby reducing or eliminating\
fragile 'isinstance' if type() comparisons.

%description %_description

%package -n python2-protocols
Summary: %summary
Requires: python2-decoratortools
%{?python_provide:%python_provide python2-protocols}

%description -n python2-protocols %_description

%prep
%autosetup -p1 -n %{srcname}-%{filever}
find . -name .cvsignore -delete

%build
%py2_build

%install
%py2_install

%check
%{__python2} setup.py test


%files -n python2-protocols
%doc README.txt CHANGES.txt docs/*
%{python2_sitearch}/protocols/
%{python2_sitearch}/%{srcname}-%{eggver}%{alphatag}_%{revision}-py%{python2_version}.egg-info/

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.31.a0dev_r2302
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.30.a0dev_r2302
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 29 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.0-0.29.a0dev_r2302
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0-0.28.a0dev_r2302
- Python 2 binary package renamed to python2-protocols
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.27.a0dev_r2302
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.26.a0dev_r2302
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.25.a0dev_r2302
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.24.a0dev_r2302
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.23.a0dev_r2302
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.22.a0dev_r2302
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu May 14 2015 Ville Skyttä <ville.skytta@iki.fi> - 1.0-0.21.a0dev_r2302
- Don't ship .cvsignore

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.20.a0dev_r2302
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.19.a0dev_r2302
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.18.a0dev_r2302
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.17.a0dev_r2302
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.16.a0dev_r2302
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.15.a0dev_r2302
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.14.a0dev_r2302
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.0-0.13.a0dev_r2302
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.12.a0dev_r2302
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.11.a0dev_r2302
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 2 2008 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0-0.10.a0dev_r2302
- Enable the test suite
- Add a requirement on python-decoratortools

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.0-0.9.a0dev_r2302
- Rebuild for Python 2.6

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0-0.8.a0dev_r2302
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0-0.7.a0dev_r2302
- Autorebuild for GCC 4.3

* Thu May 10 2007 Luke Macken <lmacken@redhat.com> 1.0-0.6-a0dev_r2302
- Add revision back to Release

* Thu May 10 2007 Luke Macken <lmacken@redhat.com> 1.0-0.5-a0dev_r2302
- 1.0a0dev-r2302

* Fri Dec 15 2006 Luke Macken <lmacken@redhat.com> 1.0-0.4-a0dev_r2082
- Rebuild

* Sat Sep 16 2006 Shahms E. King <shahms@shahms.com> 1.0-0.3-a0dev_r2082
- Rebuild for FC6

* Fri Aug 11 2006 Shahms E. King <shahms@shahms.com> 1.0-0.2.a0dev_r2082
- Include, don't ghost .pyo files per new guidelines

* Wed Apr 19 2006 Shahms E. King <shahms@shahms.com> 1.0-0.1.a0dev_r2082
- Update to new upstream location and snapshot version

* Mon Feb 13 2006 Shahms E. King <shahms@shahms.com> 0.9.3-7
- Rebuild for FC5

* Tue Jan 31 2006 Shahms E. King <shahms@shahms.com> 0.9.3-6
- BuildRequires setuptools, rather than including it

* Thu May 12 2005 Shahms E. King <shahms@shahms.com> 0.9.3-4
- rebuilt, add dist tag

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Mar 21 2005 Shahms E. King <shahms@shahms.com> - 0.9.3-3
- Replace python_sitelib with python_sitearch
- Other misc. specfile cleanups

* Tue Mar 01 2005 Shahms E. King <shahms@shahms.com> 0.9.3-2
- Clean up spec file

* Tue Aug 31 2004 Shahms E. King <shahms@shahms.com> -
- Update to 0.9.3

* Fri Jul 30 2004 Shahms E. King <shahms@shahms.com> -
- Update to 0.9.3rc2

* Thu May 27 2004 Shahms King <shahms@shahms.com> -
- Initial Release

